#include<iostream>
using namespace std;

int main(){
  long long A,B,K,skok=0,razlika;
  cin>>A>>B>>K;
  razlika=B-A+1;
  long long dyska=A;
  bool stignahme=false;
  if(K==3){
    skok=razlika/3*2;
    if(razlika%3==0){
        skok--;
    }
  }else{
   while(stignahme==false){
     dyska+=2;
     if(dyska==B || dyska-1==B){
         stignahme=true;
     }
     if(dyska%K==0){
         dyska--;
     }
     skok++;
   }
  }
  cout<<skok<<endl;
return 0;
}
